Loading...
Searching...
No Matches
BALL::ExpressionParser Class Reference
Kernel Classes » Miscellaneous

`#include <BALL/KERNEL/expressionParser.h>`

## Classes

class | SyntaxTree
struct | State

## Public Member Functions

Constructors and Destructors
| ExpressionParser ()
| ExpressionParser (const ExpressionParser &parser)
| ~ExpressionParser ()

## Parsing

static State | state
SyntaxTree * | syntax_tree_
static ExpressionParser * | current_parser_
void | parse (const String &s)
const SyntaxTree & | getSyntaxTree () const

## Detailed Description

Expression Parser. A simple parser for BALL kernel expressions. It reads a string and constructs a syntax tree from the boolean expressions contained therein.

Definition at line 22 of file expressionParser.h.

## Constructor & Destructor Documentation

## ExpressionParser() [1/2]

BALL::ExpressionParser::ExpressionParser | ( |  | ) |

## ExpressionParser() [2/2]

BALL::ExpressionParser::ExpressionParser | ( | const ExpressionParser & | parser | ) |

## ~ExpressionParser()

BALL::ExpressionParser::~ExpressionParser | ( |  | ) |

## Member Function Documentation

## getSyntaxTree()

const SyntaxTree & BALL::ExpressionParser::getSyntaxTree | ( |  | ) | const

Return the parsed system

Exceptions

  Exception::NullPointer | if the syntax tree is NULL

## parse()

void BALL::ExpressionParser::parse | ( | const String & | s | ) |

Parse an expression.

Exceptions

  Exception::ParseError | if a syntax error was encountered

## Member Data Documentation

## current_parser_

ExpressionParser* BALL::ExpressionParser::current_parser_

static protected

Definition at line 184 of file expressionParser.h.

## state

State BALL::ExpressionParser::state

static

Definition at line 180 of file expressionParser.h.

## syntax_tree_

SyntaxTree* BALL::ExpressionParser::syntax_tree_

protected

Definition at line 183 of file expressionParser.h.